Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start
string<date-time>
required

Lower bound (inclusive) for the audit record timestamp.

Example:

"2026-01-01T00:00:00Z"

end
string<date-time>
required

Upper bound (exclusive) for the audit record timestamp.

Example:

"2026-01-02T00:00:00Z"

auth_strategy
string

Filter by authentication strategy.

service
string

Filter by service name.

method
string

Filter by HTTP method.

exclude_method
string[]

Filter out results by HTTP method.

Maximum array length: 10

Free-text search over path, user ID, email, client IP, and status.

search_user_id
string[]

Additional user IDs to OR into free-text search.

Maximum array length: 100
cursor
string

Opaque cursor from X-Next-Cursor for the next chunk of older records.

limit
integer
default:50000

Maximum number of records to return in this chunk.

Required range: 1 <= x <= 50000
format
enum<string>
default:jsonl.gz

Encoding for the returned chunk.

Available options:
jsonl,
jsonl.gz

Response

One chunk of audit log records.

The response is of type file.